Debian Bug report logs - #509201
Debian Installer does not work with IPv6

version graph

Package: netcfg; Maintainer for netcfg is Debian Install System Team <debian-boot@lists.debian.org>; Source for netcfg is src:netcfg.

Reported by: Jens Link <jenslink@quux.de>

Date: Fri, 19 Dec 2008 15:57:03 UTC

Severity: wishlist

Tags: d-i, ipv6

Merged with 231003, 596572, 650529

Found in version 0.01

Fixed in version netcfg/1.90

Done: Philipp Kern <pkern@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#509201; Package debian installer. (Fri, 19 Dec 2008 15:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jens Link <jenslink@quux.de>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org.

Your message had a Version: pseudo-header with an invalid package version:

lenny / RC1

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Fri, 19 Dec 2008 15:57:06 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jens Link <jenslink@quux.de>
To: submit@bugs.debian.org
Subject: Debian Installer does not work with IPv6
Date: Fri, 19 Dec 2008 16:54:12 +0100
Package: Debian Installer
Version: lenny / RC1

It's not possible to configure an IPv6 address using the Debian
installer. When trying to enter a IPv6 address i get the following
message:

,----
| The IP address you provided is malformed It should be in the form
| x.x.x.x  ......
`----

I used both normal and expert mode and did load the IPv6 extensions when
trying expert mode (wich didn't load the ipv6 Module btw.).

cheers 

Jens







Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#509201; Package debian installer. (Fri, 19 Dec 2008 18:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Fri, 19 Dec 2008 18:42:04 GMT) Full text and rfc822 format available.

Message #10 received at 509201@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Jens Link <jenslink@quux.de>, 509201@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#509201: Debian Installer does not work with IPv6
Date: Fri, 19 Dec 2008 18:40:29 +0000
reassign 509201 netcfg
severity 509201 wishlist
merge 231003 509201
thanks

On Fri, Dec 19, 2008 at 04:54:12PM +0100, Jens Link wrote:
> It's not possible to configure an IPv6 address using the Debian
> installer. When trying to enter a IPv6 address i get the following
> message:
> 
> ,----
> | The IP address you provided is malformed It should be in the form
> | x.x.x.x  ......
> `----
> 
> I used both normal and expert mode and did load the IPv6 extensions when
> trying expert mode (wich didn't load the ipv6 Module btw.).

Indeed - this is entirely missing from netcfg at the moment. Merging
with the other bug on the subject.

Thanks,

-- 
Colin Watson                                       [cjwatson@debian.org]




Bug reassigned from package `debian installer' to `netcfg'. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Fri, 19 Dec 2008 18:42:05 GMT) Full text and rfc822 format available.

Severity set to `wishlist' from `normal' Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Fri, 19 Dec 2008 18:42:05 GMT) Full text and rfc822 format available.

Merged 231003 509201. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Fri, 19 Dec 2008 18:42:06 GMT) Full text and rfc822 format available.

Bug reassigned from package `netcfg' to `netcfg'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Fri, 19 Dec 2008 18:48:02 GMT) Full text and rfc822 format available.

Added tag(s) ipv6. Request was from Simon Paillard <simon.paillard@resel.enst-bretagne.fr> to control@bugs.debian.org. (Sat, 16 Jan 2010 19:48:23 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'wishlist' Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Tue, 23 Mar 2010 01:03:46 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 07:51:48 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'serious' Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 08:30:47 GMT) Full text and rfc822 format available.

Forcibly Merged 231003 509201 596572. Request was from Christian PERRIER <bubulle@debian.org> to control@bugs.debian.org. (Mon, 13 Sep 2010 06:21:13 GMT) Full text and rfc822 format available.

Removed tag(s) help. Request was from Matthew Palmer <mpalmer@debian.org> to control@bugs.debian.org. (Fri, 21 Jan 2011 01:54:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 509201: 611330 Request was from Matthew Palmer <mpalmer@debian.org> to control@bugs.debian.org. (Sun, 30 Jan 2011 23:09:02 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 509201: 611870 Request was from Matthew Palmer <mpalmer@debian.org> to control@bugs.debian.org. (Thu, 03 Feb 2011 06:21:03 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:05 GMT) Full text and rfc822 format available.

Forcibly Merged 231003 509201 596572 650529. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Fri, 02 Dec 2011 17:03:15 GMT) Full text and rfc822 format available.

Message #39 received at 231003-close@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 231003-close@bugs.debian.org
Subject: Bug#231003: fixed in netcfg 1.90
Date: Mon, 17 Sep 2012 21:00:00 +0000
Source: netcfg
Source-Version: 1.90

We believe that the bug you reported is fixed in the latest version of
netcfg, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 231003@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Philipp Kern <pkern@debian.org> (supplier of updated netcfg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 17 Sep 2012 19:32:30 +0200
Source: netcfg
Binary: netcfg netcfg-static
Architecture: source amd64
Version: 1.90
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Philipp Kern <pkern@debian.org>
Description: 
 netcfg     - Configure the network (udeb)
 netcfg-static - Configure a static network (udeb)
Closes: 231003
Changes: 
 netcfg (1.90) unstable; urgency=low
 .
   [ Philipp Kern ]
   * netcfg.h: drop ip6-localnet (obsolete)
   * netcfg.h: drop ip6-mcastprefix (no need for it to be in /etc/hosts)
   * netcfg-common.c (is_layer3_qeth): fix off-by-one, introduce a constant
 .
   * Fully support installation over IPv6. (Closes: #231003)
 .
   [ Matt Palmer ]
   * Pull NULL_IPADDRESS out into a global constant
   * Refactor out some program-global variables
   * Only flush address families we manage
   * Remove global variable netcfg_progress_displayed
   * Remove gateway from being a global var, and turn it into a string
   * Make nameserver_array a local, and an array of strings
   * Move the rest of the static-specific globals into functions
   * Convert all remaining in_addr variables to strings
   * Create and use a struct to store all network interface settings
   * Add test framework, and make inet_mton support AF_INET6
   * Add missing instructions to test/README
   * Add netcfg_parse_cidr_address to do protocol-independent address parsing
   * Add test/run to gitignore
   * Make a few more functions IPv6 aware
   * First working draft of IPv6 support
   * Support IPv6 netmasks, for people who like typing too much
   * Add ethtool-lite.o to test build objects, so things build
   * Don't run the test suite on package build
   * Make no_default_route take IPv6 into account
   * Make read_resolv_conf_nameservers handle IPv6 addresses
   * Detect and use autoconfigured IPv6 addresses (part 1)
   * SLAAC detection support in kFreeBSD
   * Add proper GPL header to ipv6.c
 .
   [ Colin Watson ]
   * Move wireless options into struct netcfg_interface
 .
   [ Matt Palmer ]
   * Refactor /etc/network/interfaces writing code
   * Obtain DNS resolvers via RA options
   * IPv6 support for using rDNS to preseed hostnames
   * Deal with stateless DHCPv6
   * Don't use wide-dhcpv6 on non-Linux arches
   * Use dhclient -6 to support stateless DHCP on FreeBSD
   * Fix the 'get default IPv6 route' command on freebsd
   * Modify the way that rdisc6 is called to make the progress bar more
     responsive
 .
   [ Colin Watson ]
   * Get DNS and search information when doing stateless DHCPv6
   * Stateful DHCPv6 support
   * Add dual-stack support
   * Kill stateless dhcp6c from netcfg rather than from print-dhcp6c-info
   * Select DHCPv6 client at run-time
   * Fix up test suite to pass again
   * Remove di_debug calls from signal handlers
   * Exit immediately if daemon() fails
   * Use a sentinel file to determine whether dhcp6c has finished
   * Fix dhclient DUID generation
   * Release isc-dhcp-client IPv6 leases at end of install
   * Remove usleep workaround in stop_rdnssd; avoiding the use of stdio in
     signal handlers should have fixed this
   * Make sure domain is empty if fgets fails
   * print-dhcpv6-info: Exit immediately if reason is not BOUND6, RENEW6, or
     REBIND6
   * Don't bother unlinking /var/lib/netcfg/dhcp6c-finished unless we're
     using dhcp6c
   * print-dhcpv6-info: Actually apply IPv6 address and resolv.conf entries
     received from the DHCPv6 server
   * Don't preseed IP addresses as hostnames
 .
   [ Philipp Kern ]
   * autoconfig.c: initialize getline's lineptr with NULL
   * ipv6.c: force stateless_config to 0 if stateful_config is set also
   * dhcp.c: fix dhcp_hostname handling
 .
   [ Christian Perrier ]
   * Style corrections to debconf templates. (Reviewed by Justin B Rye.)
Checksums-Sha1: 
 11d4391d64315fa5dcd0839e8b6d7c193fd00e8d 1478 netcfg_1.90.dsc
 19cb4d9cc3e3a3ebd67e9e09736695fb288b4d4d 700115 netcfg_1.90.tar.gz
 401d0bf9d685deb57cdb8de33cadc2733cb2e671 371994 netcfg_1.90_amd64.udeb
 008729285893ba1ce0868ed6837804b64530822c 285968 netcfg-static_1.90_amd64.udeb
Checksums-Sha256: 
 87c250404b6ff0816d60e6e3053f9d575df2f23decd3f8c168cf7324ff2ace15 1478 netcfg_1.90.dsc
 d1cef6173c4aa4359faf3cdb9dda28c84a60f9a7638111a1e1cf8b568c4d5b9c 700115 netcfg_1.90.tar.gz
 be2b2c3d44d0523496a42504a1723e2fa761f6a8f30ea624ddbef154d7006702 371994 netcfg_1.90_amd64.udeb
 c2a60fb84bebc3b51eb3d4b8c661ed8473688a0d1cd31669460a48c4cd4aa9da 285968 netcfg-static_1.90_amd64.udeb
Files: 
 e4437d60994894f29249409e3fc3e79e 1478 debian-installer optional netcfg_1.90.dsc
 cc49c44562b450fb4a905398d30e38ff 700115 debian-installer optional netcfg_1.90.tar.gz
 3b24271e6f0fc4553bbe16963e88a9c4 371994 debian-installer optional netcfg_1.90_amd64.udeb
 4ddab6d398ad6aa0999b223aa1632c9a 285968 debian-installer optional netcfg-static_1.90_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJQV17AAAoJEERuJUU10FbsP3kIAI3Osq4VChY84lLOagyiDNhO
0LYl/fUsg1fvTEwuns5wziS6o3wcDsXQbWgWE3FukEt0FSxRY2AVyByzTiesONJK
7H7CF93bVLKgc0dUWddVbnAPLkd42xaPXyz/5ZZkpKZdhLVQbB3zj9gY8Sijau7C
qiPUC2PdCQY4G2ntY9dg8cJu1LteWhUBzSW09uf7PtTozhNx77UdEBUZhR8gJvEu
luoxD+TuuNrLKrRwZrf5glxyr2xmMNtGY0MS+/1/RDu9Y9hChyV0RpxC7Qgh9VW+
qOtzCUlOwo6MlBsYdWT4yMfUsQTyvq14AmG6QKucuWd3Bjq6h5rCQNQRg96mbT8=
=NR7d
-----END PGP SIGNATURE-----




Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:34:49 GMT) Full text and rfc822 format available.

Removed tag(s) squeeze, sid, wheezy, and jessie. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:21 GMT) Full text and rfc822 format available.

Marked as found in versions 0.01. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:40 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 07:25:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:15:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.